# -*- coding: utf-8 -*-

"""
####################################################################
#                                                                  #
#                           AWI Basemap                            #
#                                                                  #
####################################################################

"""


#=============================================================================
#    SCRIPT INFO
#=============================================================================

__author__ = 'Simon Dreutter'
__version__ = '0.3'
__date__ = '2021-11-05'
__email__ = 'simon.dreutter@awi.de'
__status__ = 'Developement'


#=============================================================================
#    IMPORT
#=============================================================================

import subprocess
import sys

# import AWI Basemap configuration
from config import PYTHON


#=============================================================================
#    RUN
#=============================================================================

print(__doc__)
print('--------------------------------------------------------------------')
print(f'version: {__version__}')
print(f'author:  {__author__}')
print(f'email:   {__email__}')
print(f'status:  {__status__}')
print('--------------------------------------------------------------------')
print()

#=============================================================================

subprocess.call([PYTHON, '1_process_add.py'])
subprocess.call([PYTHON, '2_process_gimp.py'])
subprocess.call([PYTHON, '3_process_glims.py'])
subprocess.call([PYTHON, '4_process_gebco.py'])
subprocess.call([PYTHON, '5_create_shading_layers.py'])
subprocess.call([PYTHON, '6_burn_vector_layers.py'])
subprocess.call([PYTHON, '7_create_basemaps.py'])

#=============================================================================

print()
print('--------------------------------------------------------------------')
print()
print('All done!')
input('\nPress Enter to exit!\n')
sys.exit()
